# Get domain name request count by province and operator [New] - GetUcdnProIspRequestNumV2

## Overview

Get domain name request count by province and operator






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `GetUcdnProIspRequestNumV2`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **BeginTime** | int | The start date of the query, in Unix Timestamp format. Ignore the time part. |**Yes**|
| **EndTime** | int | The end date of the query, in Unix Timestamp format. Ignore the time part. |**Yes**|
| **DomainId.N** | string | Domain ID, the ID generated when creating a domain. Default to all domains. |No|
| **Province.N** | string | Province code, multiple can be passed, if none is passed, all provinces will be queried. |No|
| **Isp** | string | Carrier code, only one carrier can be queried at a time, if not passed, all carriers will be taken by default. |No|
| **Type** | int | Time granularity (0 represents a granularity of 5 minutes, 1 represents a granularity of 1 hour, 2 represents a granularity of one day, 3 represents a granularity of one minute) |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **RequestNumSet** | array[[*ProIspRequestNumSetV2*](#proisprequestnumsetv2)] | Request instances table by province. Refer to the following RequestList for details. |**Yes**|

#### Data Model


#### ProIspRequestNumSetV2

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Province** | string | Province Code |**Yes**|
| **RequestList** | array[[*ProIspRequestListV2*](#proisprequestlistv2)] | Provincial Request Number Instance Table ProIspRequestListV2 |**Yes**|

#### ProIspRequestListV2

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Time** | int | Time point for bandwidth acquisition. Format: Timestamp |No|
| **CdnRequest** | float | Returns the number of requests within the specified time interval |No|

## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=GetUcdnProIspRequestNumV2
&ProjectId=sbEAKCLS
&BeginTime=6
&EndTime=2
&DomainId.n=ruTjptSq
&Province.n=fdFLRcCa
&Isp=rYesZQIs
&Type=2
```

### Response Example
    
```json
{
  "Action": "GetUcdnProIspRequestNumV2Response",
  "RequestNumSet": [
    {
      "Province": "QzrNPuTX",
      "RequestList": [
        {
          "RequestNum": 4,
          "Time": 5
        }
      ]
    }
  ],
  "RetCode": 0
}
```





